/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2005-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: global.hpp,v 1.9 2014/01/10 19:22:09 fclement Exp $ */

namespace io{

  void set_binary();
  void set_ascii();
  
  bool get_binary();
  bool get_reception_binary();
  
  void set_width(unsigned int);
  unsigned int get_width();  
  void set_prec(unsigned int);
  unsigned int get_prec();

  bool get_debug();
  void set_debug();
  void unset_debug();
  
}
